Bug 28580 - Exposing atk-bridge path as a gconf/gsettings entry
Summary: Exposing atk-bridge path as a gconf/gsettings entry
Status: RESOLVED FIXED
Alias: None
Product: at-spi2
Classification: Unclassified
Component: atk (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Rob Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-17 05:44 UTC by Alejandro Piñeiro (freenode IRC: apinheiro)
Modified: 2010-12-28 07:56 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Rough first patch (4.85 KB, patch)
2010-06-17 05:48 UTC, Alejandro Piñeiro (freenode IRC: apinheiro)
Details | Splinter Review
Updated previous patch (4.85 KB, patch)
2010-06-17 07:58 UTC, Alejandro Piñeiro (freenode IRC: apinheiro)
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Piñeiro (freenode IRC: apinheiro) 2010-06-17 05:44:00 UTC
As a result of a bug related of how to find/load the atk-bridge [1], and the facts that gtk team feels that exposing gtk_find_module [2] isn't the proper solution, and that atk-bridge isn't in fact a gtk-specific module [3], some discussion appeared related of how to find it in a common way, more recently, in the last a11y meeting [4].

So a conclusion would be add a gconf/gsetting entry in the schemas, pointing out the real path, so any app (ie: gnome-shell) could check it in order to find it.


[1] https://bugzilla.gnome.org/show_bug.cgi?id=612599
[2] https://bugzilla.gnome.org/show_bug.cgi?id=619946
[3] http://mail.gnome.org/archives/gnome-accessibility-list/2009-August/msg00019.html
[4] http://live.gnome.org/Accessibility/Minutes/20100610#GNOME_3.0_items_status
Comment 1 Alejandro Piñeiro (freenode IRC: apinheiro) 2010-06-17 05:48:28 UTC
Created attachment 36328 [details] [review]
Rough first patch

This is a really rough first proposal. Implementing it I found some new questions.

Comments (also in the patch):

I needed to define a in.in file in order to change the @libdir@ var on compile time.

It requires some work on the name
    
As it is on the main Makefile.am it can't use the gtkmoduledir directory, so it recreates it again. It can create problems with the relocation thing.
    
Anyway, as right now there are two gtk related moduledirs (2.0 +3.0), we need to decide if we just use one of the existing, or create a shared directory to do that, something like at-spi-libdir=$libdir$/at-spi2/modules/, and install the module in three different places.
    
It requires a full description (short and long) as the translation strings.
Comment 2 Alejandro Piñeiro (freenode IRC: apinheiro) 2010-06-17 07:58:38 UTC
Created attachment 36335 [details] [review]
Updated previous patch

Fixing a typo in previous patch, the rest of issues are still applicable.
Comment 3 Alejandro Piñeiro (freenode IRC: apinheiro) 2010-12-28 07:56:35 UTC
Mike Gorse already solved this bug [1], so I will close this as FIXED


[1] http://git.gnome.org/browse/at-spi2-atk/commit/?id=a16f5306aab7f9d5a8e0fe32fb75deddba175341


bug/show.html.tmpl processed on Jul 28, 2016 at 04:44:56.
(provided by the Example extension).